pydo.uptime.get_alert()

Generated on 7 Jul 2026 from pydo version v0.39.0

Usage

client.uptime.get_alert(
    check_id="4de7ac8b-495b-4884-9a69-1050c6793cd6",
    alert_id="17f0f0ae-b7e5-4ef6-86e3-aa569db58284",
)
Returns JSONRaises HttpResponseError

Description

To show information about an existing alert, send a GET request to /v2/uptime/checks/{check_id}/alerts/{alert_id}.

Parameters

check_id string required

A unique identifier for a check.

alert_id string required

A unique identifier for an alert.

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

resp = client.uptime.alert_get(check_id="4de7ac8b", alert_id="da9da9")

Response Example

Show Response Example
{
  "alert": {
    "id": "5a4981aa-9653-4bd1-bef5-d6bff52042e4",
    "name": "Landing page degraded performance",
    "type": "latency",
    "threshold": 300,
    "comparison": "greater_than",
    "period": "2m"
  }
}

More Information

See /v2/uptime/checks/{check_id}/alerts/{alert_id} in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.